Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160332 - NetworkManager doesn't work when started automatically
Summary: NetworkManager doesn't work when started automatically
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-14 14:57 UTC by Josh Boyer
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-12 00:15:17 UTC


Attachments (Terms of Use)

Description Josh Boyer 2005-06-14 14:57:10 UTC
Description of problem:

When NetworkManager is enabled for runlevels 3 4 and 5 via chkconfig, it fails
to function correctly.  A "/usr/sbin/named -f -u named -c
/var/named/data/NetworkManager-named.conf" process is started, however the
"NetworkManager" process is not (or it exits rather quickly).


Version-Release number of selected component (if applicable):

[root@windu ~]# rpm -q NetworkManager
NetworkManager-0.4-15.cvs20050404

How reproducible:

Always

Steps to Reproduce:
1. Enable NetworkManager via chkconfig
2. Reboot
3. 
  
Actual results:

NetworkManager is not started correctly.


Expected results:

NetworkManager starts and detects the correct network

Additional info:

If one uses 'service NetworkManager stop' after a reboot, it reports as failed.
 If NetworkManager is started from a command prompt by typing "NetworkManager",
it starts up correctly and detects the appropriate network settings.

NOTE: The results are the same no matter what type of network connection is
being used.  NetworkManager exhibits this problem with both wired and wireless
networks.

Comment 1 Josh Boyer 2005-06-17 12:41:25 UTC
This problem still exists with the latest FC4 update:

[root@windu ~]# rpm -q NetworkManager
NetworkManager-0.4-18.FC4

I still can't get an IP address unless "NetworkManager" is started manually as root.

Comment 2 Michael J. Kofler 2005-06-17 15:39:09 UTC
I can't get an IP address even when I start NM as root after startup. The
NetworkManagerInfo icon shows a wired connection, but I'm not online. Restarting
eth0 via Services restores the connection. Also, when I unplug the cable to test
NM's wireless, the icon disappears and again I have no connection. 
NetworkManager-0.4-18.FC4

Comment 3 Josh Boyer 2005-10-12 00:15:17 UTC
This bug is old and crufty.  I no longer have problems with NM.  If someone else
has issues, please open a new bug.


Note You need to log in before you can comment on or make changes to this bug.